@echo off

 	@REM Script à lancer pour l'installation d'une application Vitis

  @REM  Paramètres obligatoires :
  @REM      --app_path : chemin vers le répertoire d'installation d'application

set /p app_path="app path: "

if not exist %app_path% (
  @echo %app_path% n'existe pas
  exit /b 1
)

cd %app_path%

where git.exe >nul 2>nul
IF NOT ERRORLEVEL 0 (
    @echo git not found in path.
    exit /b 1
)

echo "---- Clone Repos ----"

if not exist "src" (
  mkdir  src
)

git clone git@gitlab.veremes.net:Development/vitis-2020/sources/vitis.git src/vitis
git clone git@gitlab.veremes.net:Development/vitis-2020/sources/module_vmap.git src/module_vmap
git clone git@gitlab.veremes.net:Development/vitis-2020/sources/module-cadastre-2020.git src/module_cadastre