#!/bin/bash
#
#
# 	Script à lancer pour la compilation des engines
#
#   Paramètres obligatoires :
#       --app_path : chemin vers le répertoire d'installation d'application
#
#

for i in "$@"
do
case $i in
  # param app_path
  --app_path=*)
  app_path="${i#*=}"
  shift
  ;;
esac
done

if [ -z ${app_path+x} ]
then
  echo "--app_path required"
  exit 1
fi

$app_path/src/vitis/_install/build_engines.sh --app_path=$app_path

